libzypp 17.37.10

zyppng::KeyAutoImportInfoEvent Namespace Reference

Notify that a repository auto imported new package signing keys. More...

## Functions
constexpr std::string_view | CTYPE ("keyring/auto-import-key-info")
constexpr std::string_view | KEY_DATA_LIST ("key-data-list")
constexpr std::string_view | KEY_DATA ("key-data")
constexpr std::string_view | KEY_CONTEXT ("key-context")
UserData | makeData (const std::list< zypp::PublicKeyData > &keyDataList_r, const zypp::PublicKeyData &keySigning_r, const zypp::KeyContext &keyContext_r)

## Detailed Description

Notify that a repository auto imported new package signing keys.

To auto import new package signing keys, the repositories metadata must be signed by an already trusted key.

Userdata fields: const std::list<zypp::PublicKeyData> * "key-data-list" List of KeyData to import zypp::PublicKeyData "key-data" KeyData of signing key zypp::KeyContext "key-context" The KeyContext

## Function Documentation

## ◆ CTYPE()

std::string_view zyppng::KeyAutoImportInfoEvent::CTYPE | ( | "keyring/auto-import-key-info" |  | ) |
| constexpr

## ◆ KEY_DATA_LIST()

std::string_view zyppng::KeyAutoImportInfoEvent::KEY_DATA_LIST | ( | "key-data-list" |  | ) |
| constexpr

## ◆ KEY_DATA()

std::string_view zyppng::KeyAutoImportInfoEvent::KEY_DATA | ( | "key-data" |  | ) |
| constexpr

## ◆ KEY_CONTEXT()

std::string_view zyppng::KeyAutoImportInfoEvent::KEY_CONTEXT | ( | "key-context" |  | ) |
| constexpr

## ◆ makeData()

UserData zyppng::KeyAutoImportInfoEvent::makeData | ( | const std::list< zypp::PublicKeyData > & | keyDataList_r,
|  | const zypp::PublicKeyData & | keySigning_r,
|  | const zypp::KeyContext & | keyContext_r )

Definition at line 110 of file userrequest.cc.